package com.hai.service;

import com.hai.entity.HighChildOrder;
import com.hai.entity.HighOrder;
import com.hai.entity.HighStoreUser;

import java.util.List;
import java.util.Map;

/**
 * @serviceName .java
 * @author Sum1Dream
 * @version 1.0.0
 * @Description // 门店用户绑定
 * @createTime 10:29 2023/11/27
 **/
public interface HighStoreUserService {

    /**
    * @Author Sum1Dream
    * @Name insertStoreUser
    * @Description // 新增
    * @Date 10:37 2023/11/27
    * @Param storeUser
     * @return void
    */
    void insertStoreUser(HighStoreUser storeUser);

    /**
    * @Author Sum1Dream
    * @Name updateStoreUser
    * @Description // 更新
    * @Date 10:37 2023/11/27
    * @Param storeUser
     * @return void
    */
    void updateStoreUser(HighStoreUser storeUser);

    /**
    * @Author Sum1Dream
    * @Name findStoreUser
    * @Description // 查询详情
    * @Date 10:37 2023/11/27
    * @Param map
     * @return com.hai.entity.HighStoreUser
    */
    HighStoreUser findStoreUser(Map<String , Object> map);

    /**
    * @Author Sum1Dream
    * @Name getStoreUserList
    * @Description // 查询列表
    * @Date 10:37 2023/11/27
    * @Param map
     * @return java.util.List<com.hai.entity.HighStoreUser>
    */
    List<HighStoreUser> getStoreUserList(Map<String , Object> map);

    void storeUserRel(Long userId, Long storeId);


}
